/*
 * Copyright (c) 1995-2011 by 4system Polska Sp. z o.o.
 * All Rights Reserved.
 */
if (typeof(moduleDone)!="undefined") moduleDone("UDFunctions.js");

var E_NOTIMPL = -1;
var S_OK = 1;
var S_FALSE = 0;

dummyUDFunctions = function()
{
	return (S_OK);
}

dummyUDFunctions.prototype.checkAnswers = function(page, confirmObj)
{
	// return result
	//	'1' if exercise was passed
	//	'0' if exercise was failed or when wasn't exercise on page
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.countAnswer = function(page)
{
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.showAnswer = function(page, ansVal)
{
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.loadPage = function(page)
{
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.unloadPage = function(page)
{
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.onFree = function(page)
{
	return (E_NOTIMPL);
}

dummyUDFunctions.prototype.onBeforeRemove = function(page)
{
	return (E_NOTIMPL);
}

udf = new dummyUDFunctions();
